package com.mygdx.game;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.InputListener;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.ui.Button;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.utils.viewport.ScreenViewport;

public class MyGdxGame extends ApplicationAdapter {
	SpriteBatch batch;
	Texture img;
	TextButton mButton;
	Skin buttonSkin;
	Stage stage;

	ButtonEvent buttonEvent;

	
	@Override
	public void create () {

		stage = new Stage(new ScreenViewport());
		Gdx.input.setInputProcessor(stage);

		buttonSkin = new Skin(Gdx.files.internal("skin/glassy-ui.json"));
		Button button2 = new TextButton("Show",buttonSkin,"small");
		button2.setSize(200, 100);
		button2.setPosition(100, 100);
		button2.addListener(new InputListener(){
			@Override
			public void touchUp (InputEvent event, float x, float y, int pointer, int button) {
				if (buttonEvent != null) {
					buttonEvent.pressEvent();
				}
			}
			@Override
			public boolean touchDown (InputEvent event, float x, float y, int pointer, int button) {
				//outputLabel.setText("Pressed Text Button");
				return true;
			}
		});
		stage.addActor(button2);
	}

	@Override
	public void render () {
		Gdx.gl.glClearColor(1, 1, 1, 1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		stage.act();
		stage.draw();
	}
	
	@Override
	public void dispose () {

	}

	public void setButtonEvent(ButtonEvent buttonEvent) {
		this.buttonEvent = buttonEvent;
	}
}
