package com.mygdx.game;

import com.badlogic.gdx.backends.iosmoe.IOSApplication;
import com.badlogic.gdx.backends.iosmoe.IOSApplicationConfiguration;
import org.moe.natj.general.Pointer;
import com.mygdx.game.MyGdxGame;

import apple.foundation.NSMutableArray;
import apple.uikit.UIActivityViewController;
import apple.uikit.UIImage;
import apple.uikit.UIViewController;
import apple.uikit.c.UIKit;

public class IOSMoeLauncher extends IOSApplication.Delegate {

    protected IOSMoeLauncher(Pointer peer) {
        super(peer);
    }

    IOSApplication iosApplication;

    @Override
    protected IOSApplication createApplication() {
        IOSApplicationConfiguration config = new IOSApplicationConfiguration();
        config.useAccelerometer = false;
        MyGdxGame myGdxGame = new MyGdxGame();

        iosApplication = new IOSApplication(myGdxGame, config);

        myGdxGame.setButtonEvent(new ButtonEvent() {

            @Override
            public void pressEvent() {
                NSMutableArray activityItems = NSMutableArray.alloc().init();
                UIImage img = UIImage.imageNamed("assets/badlogic.jpg");

                activityItems.add(img);

                NSMutableArray<String> excluded = (NSMutableArray<String>) NSMutableArray.alloc().init();
                excluded.add(UIKit.UIActivityTypePrint());
                excluded.add(UIKit.UIActivityTypeAirDrop());
                excluded.add(UIKit.UIActivityTypeAssignToContact());
                excluded.add(UIKit.UIActivityTypeCopyToPasteboard());
                excluded.add(UIKit.UIActivityTypeSaveToCameraRoll());
                excluded.add(UIKit.UIActivityTypeAddToReadingList());

                UIActivityViewController avc = UIActivityViewController.alloc();
                avc.initWithActivityItemsApplicationActivities(activityItems, null);
                //TODO Ipad need set UIBarButtonItem
                //avc.popoverPresentationController().setBarButtonItem(getButton());
                avc.setExcludedActivityTypes(excluded);

                UIViewController controller = iosApplication.getUIViewController();
                controller.presentViewControllerAnimatedCompletion(avc, true, null);
            }
        });

        return iosApplication;
    }

    public static void main(String[] argv) {
        UIKit.UIApplicationMain(0, null, null, IOSMoeLauncher.class.getName());
    }
}
